package com.goldenwater.slaj.hidd.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hidd.domain.BisMajHiddSup;

/**
 * 隐患督办 数据层
 */
@Mapper
public interface BisMajHiddSupMapper {

    /**
     * 查询隐患督办信息
     * @param guid 查询条件
     * @return 隐患督办信息
     */
    BisMajHiddSup selectBisMajHiddSupByGuid(String guid);

    /**
     * 查询隐患督办列表
     * @param bisMajHiddSup 隐患督办查询条件
     * @return 隐患督办集合
     */
    List<BisMajHiddSup> selectBisMajHiddSupList(BisMajHiddSup bisMajHiddSup);

    /**
     * 新增隐患督办
     * @param bisMajHiddSup 隐患督办信息
     * @return 影响行数
     */
    int insertBisMajHiddSup(BisMajHiddSup bisMajHiddSup);

    /**
     * 修改隐患督办
     * @param bisMajHiddSup 隐患督办信息
     * @return 影响行数
     */
    int updateBisMajHiddSup(BisMajHiddSup bisMajHiddSup);

    /**
     * 删除隐患督办
     * @param guid 隐患督办主键
     * @return 影响行数
     */
    int deleteBisMajHiddSupByGuid(String guid);

    /**
     * 批量删除隐患督办
     * @param guids 隐患督办主键数组
     * @return 影响行数
     */
    int deleteBisMajHiddSupByGuids(String[] guids);
}
